void definirFigure(){
  // Définition des sommets
  pixelsParUnite(100);
  definirSommet(1, 1, 1, 1);
  definirSommet(2, -1, 1, 1);
  definirSommet(3, -1, 1, -1);
  definirSommet(4, 1, 1, -1);
  definirSommet(5, 1, -1, 1);
  definirSommet(6, -1, -1, 1);
  definirSommet(7, -1, -1, -1);
  definirSommet(8, 1, -1, -1);
  
  definirSommet(9, 1, -1, 1);// comme 5 
  definirSommet(10, 1, -1, -1);// comme 8
  
  definirSommet(11, 1, -1, 1);// comme 5
  definirSommet(12, -1, -1, 1);// comme 6
  
  definirSommet(13, -1, -1, -1);// comme 7
  definirSommet(14, 1, -1, -1);// comme 8
  
  definirSommet(15, -1, -1, 1);//  comme 6
  definirSommet(16, -1, -1, -1);// comme 7
  
  definirSommet(17, 1, -1, 1);// comme 5 
  definirSommet(18, 1, -1, -1);// comme 8
  
  definirSommet(19, 1, -1, 1);// comme 5 
  definirSommet(20, 1, -1, -1);// comme 8
  
  // Définition des faces
  
  definirFace(1, 1, 2, 3, 4);
  couleurFace(1,255, 0, 0);
  definirFace(2, 19, 15, 16, 20);
  couleurFace(2, 0, 255, 0);
  definirFace(3, 1, 4, 10, 9);
  couleurFace(3, 0, 0, 255);
  definirFace(4, 2, 3, 16, 15);
  couleurFace(4, 255, 255, 0);
  definirFace(5, 1, 11, 12, 2);
  couleurFace(5, 255, 0, 255);
  definirFace(6, 3, 4, 14, 13);
  couleurFace(6, 0, 255, 255);
  
  
  // ajusterGlissiere si nécessaire
  creerGlissiereG1("Rotation des faces", 0, 1 , 0);
  //ajusterGlissiereG2(2, 8, 5);
  //ajusterGlissiereG3(2, 8, 5);
  
}

void initialiserFigure(){
  fixeRotationY(-35);
  fixeRotationX(-30);
}

void redefinirCertainsSommets(){
  redefinirSommet(10, xComposante(4, 3, 8, valG1, PI/2), yComposante(4, 3, 8, valG1, PI/2), zComposante(4, 3, 8, valG1, PI/2));                 
  redefinirSommet(9, xComposante(1, 2, 5, valG1, PI/2), yComposante(1, 2, 5, valG1, PI/2), zComposante(1, 2, 5, valG1, PI/2));
  redefinirSommet(11, xComposante(1, 4, 5, valG1, PI/2), yComposante(1, 4, 5, valG1, PI/2), zComposante(1, 4, 5, valG1, PI/2));
  redefinirSommet(12, xComposante(2, 3, 6, valG1, PI/2), yComposante(2, 3, 6, valG1, PI/2), zComposante(2, 3, 6, valG1, PI/2));
  redefinirSommet(13, xComposante(3, 2, 7, valG1, PI/2), yComposante(3, 2, 7, valG1, PI/2), zComposante(3, 2, 7, valG1, PI/2));
  redefinirSommet(14, xComposante(4, 1, 8, valG1, PI/2), yComposante(4, 1, 8, valG1, PI/2), zComposante(4, 1, 8, valG1, PI/2));
  redefinirSommet(15, xComposante(2, 1, 6, valG1, PI/2), yComposante(2, 1, 6, valG1, PI/2), zComposante(2, 1, 6, valG1, PI/2));
  redefinirSommet(16, xComposante(3, 4, 7, valG1, PI/2), yComposante(3, 4, 7, valG1, PI/2), zComposante(3, 4, 7, valG1, PI/2));
  
  float ux = xComposante(6, 2, 5, valG1, PI/2)-xSommet(6)+xSommet(15);
  float uy = yComposante(6, 2, 5, valG1, PI/2)-ySommet(6)+ySommet(15);
  float uz = zComposante(6, 2, 5, valG1, PI/2)-zSommet(6)+zSommet(15);
  
  float vx = xComposante(7, 3, 8, valG1, PI/2)+xSommet(16)- xSommet(7);
  float vy = yComposante(7, 3, 8, valG1, PI/2)+ySommet(16)- ySommet(7);
  float vz = zComposante(7, 3, 8, valG1, PI/2)+zSommet(16)- zSommet(7);
  redefinirSommet(17, ux, uy, uz);
  redefinirSommet(18, vx, vy, vz );

  redefinirSommet(19, xComposante(15, 2, 17, valG1, PI/2), yComposante(15, 2, 17, valG1, PI/2), zComposante(15, 2, 17, valG1, PI/2));
  redefinirSommet(20, xComposante(16, 3, 18, valG1, PI/2), yComposante(16, 3, 18, valG1, PI/2), zComposante(16, 3, 18, valG1, PI/2)); 
}

float xComposante(int i, int j, int k, float val, float angle){
  return xSommet(i) - (xSommet(j) - xSommet(i))*sin(val*angle) + (xSommet(k) - xSommet(i))*cos(val*angle);
}

float yComposante(int i, int j, int k, float val, float angle){
  return ySommet(i) - (ySommet(j) - ySommet(i))*sin(val*angle) + (ySommet(k) - ySommet(i))*cos(val*angle);
}

float zComposante(int i, int j, int k, float val, float angle){
  return zSommet(i) - (zSommet(j) - zSommet(i))*sin(val*angle) + (zSommet(k) - zSommet(i))*cos(val*angle);
}

