void definirFigure(){
  // Définition des sommets
  pixelsParUnite(100);
  //Sommets du cube
  definirSommet(1, 1, 1, 1);
  definirSommet(2, -1, 1, 1);
  definirSommet(3, -1, 1, -1);
  definirSommet(4, 1, 1, -1);
  definirSommet(5, 1, -1, 1);
  definirSommet(6, -1, -1, 1);
  definirSommet(7, -1, -1, -1);
  definirSommet(8, 1, -1, -1);
  //Sommets des pointes
  definirSommet(9, 0, 0, 1);
  definirSommet(10, -1, 0, 0);
  definirSommet(11, 0, 0, -1);
  definirSommet(12, 1, 0, 0);
  definirSommet(13, 0, 1, 0);
  definirSommet(14, 0, -1, 0);
  
  // Définition des faces
  creerFaces(1, 9, 1, 2, 6, 5);
  creerFaces(5, 10, 2, 6, 7, 3);
  creerFaces(9, 11, 3, 7, 8, 4);
  creerFaces(13, 12, 4, 8, 5, 1);
  creerFaces(17, 14, 5, 8, 7, 6);
  creerFaces(21, 13, 1, 4, 3, 2);
  
  
  // ajusterGlissiere si nécessaire
  creerGlissiereG1("Pointes", -8, 6 , 1);
  //ajusterGlissiereG2(2, 8, 5);
  //ajusterGlissiereG3(2, 8, 5);
  
}

void initialiserFigure(){
  fixeRotationY(-35);
  fixeRotationX(-30);
}

void redefinirCertainsSommets(){
  redefinirSommet(9, 0, 0, valG1);
  redefinirSommet(11, 0, 0, -valG1);
  
  redefinirSommet(10, -valG1, 0,0);
  redefinirSommet(12, valG1, 0, 0);
  
  redefinirSommet(13, 0, valG1, 0);
  redefinirSommet(14, 0, -valG1, 0);
}

/* 
* dans un carré de sommets p1, p2, p3, p4 crée 4 triangles
* ayant un sommet en p0 (centre du carré) et les 4 couples de sommets 
* adjacents respectivement.
*/
void creerFaces(int num, int p0, int p1, int p2, int p3, int p4){
  definirFace(num, p0, p1, p2);
  couleurFace(num,255, 0, 0); 
  definirFace(num+1, p0, p2, p3);
  couleurFace(num+1, 0, 255, 0); 
  definirFace(num+2, p0, p3, p4);
  couleurFace(num+2, 0, 0, 255); 
  definirFace(num+3, p0, p4, p1);
  couleurFace(num+3, 255, 255, 0); 
}
