void definirFigure(){
  // Définition des couleurs nécessaires
  float r1 = 2, r2 = 0.5;
  int nbPointes = 5;
  float angle = PI/(2*nbPointes);
  // Définition des sommets
  pixelsParUnite(100);
  for(int i = 0; i < 2*nbPointes-1; i+=2){
    definirSommet(i+1, r1*cos(2*i*angle), r1*sin(2*i*angle), 0);
    definirSommet(i+2, r2*cos((2*i+1)*angle), r2*sin((2*i+1)*angle), 0);
  }
  definirSommet(2*nbPointes+1, 0, 0, 0.4);
  definirSommet(2*nbPointes+2, 0, 0, -0.4); 
  
  // Définition des faces
  int j = 1;
  definirFace(j, 2*nbPointes+1, 2*nbPointes, 1);
  couleurFace(j++, 255, 0, 0);
  for(int i = 1; i < 2*nbPointes; i+=2){
      definirFace(j, 2*nbPointes+1, i, i+1);
      couleurFace(j++, 0, 255, 0);
      if(i<2*nbPointes-1){
        definirFace(j, 2*nbPointes+1, i+1, i+2);
        couleurFace(j++, 255, 0, 0);
      }
  }
  definirFace(j, 2*nbPointes+2, 2*nbPointes, 1);
  couleurFace(j++, 0, 255, 0);
  for(int i = 1; i < 2*nbPointes; i+=2){
      definirFace(j, 2*nbPointes+2, i, i+1);
      couleurFace(j++, 255, 0, 0);
      if(i<2*nbPointes-1){
        definirFace(j, 2*nbPointes+2, i+1, i+2);
        couleurFace(j++, 0, 255, 0);
      }
  }
}

void initialiserFigure(){
}

void redefinirCertainsSommets(){
}
