float U_r1=100, U_r2=100, U_ecart=0, U_h=150;
int U_n = 36;

void definirFigure(){
  float r1=U_r1, r2=U_r2, e=U_ecart, h = U_h;
  int n = U_n;
  // Définition des sommets
  pixelsParUnite(1);
  for(int i = 0; i <= n; i++){
    definirSommet(2*i+1, r1*cos(i*2*PI/n), r1*sin(i*2*PI/n), 0);
    definirSommet(2*i+2, r2*cos(i*2*PI/n + e*PI), r2*sin(i*2*PI/n + e*PI), h);
  }
  // Définition des faces
  for(int i = 1; i <= 2*n; i++){
    if(i%2 == 0){
      definirFace(i, i, i+1, i+2);
      couleurFace(i, 255, 0, 0);
    }else{
      definirFace(i, i, i+1, i+2);
      couleurFace(i, 0, 255, 0);
    }
  }
  // ajusterGlissieres si nécessaire
  creerGlissiereG1(0, 1.01, 0);
  //ajusterGlissiereG2(2, 8, 5);
  //ajusterGlissiereG3(2, 8, 5);
}

void initialiserFigure(){
  fixeRotationY(-50);
  fixeRotationX(-30);
}

void redefinirCertainsSommets(){
  int n = U_n;
  float r2 = U_r2, h =U_h;
  for(int i = 0; i <= n ; i++){
    redefinirSommet(2*i+2, r2*cos(i*2*PI/n + valG1*PI), r2*sin(i*2*PI/n + valG1*PI), h);
  }
}
