void definirFigure(){
  // Définition des sommets
  pixelsParUnite(100);
  definirSommet(1, 1, 1, 1);
  definirSommet(2, -1, 1, 1);
  definirSommet(3, -1, 1, -1);
  definirSommet(4, 1, 1, -1);
  definirSommet(5, 1, -1, 1);
  definirSommet(6, -1, -1, 1);
  definirSommet(7, -1, -1, -1);
  definirSommet(8, 1, -1, -1);
  definirSommet(9, -1, 1, 1);
  definirSommet(10, 1, 1, -1);
  definirSommet(11, 1, -1, 1);
  
  
  definirSommet(12, -1, 1, 1); // comme 2
  definirSommet(13, -1, 1, 1); // comme 2
  definirSommet(14, 1, 1, -1); // comme 4
  definirSommet(15, 1, 1, -1); // comme 4
  definirSommet(16, 1, -1, 1); // comme 5
  definirSommet(17, 1, -1, 1); // comme 5
  
  // Définition des faces
  // Bloc 1
  definirFace(1, 10, 9, 2, 3, 4); // 1 rouge
  couleurFace(1, 255, 0, 0); 
  definirFace(2, 5, 6, 7, 8); // 2 verte
  couleurFace(2, 0, 255, 0); 
  definirFace(3, 11, 10, 4, 8, 5); // 3 bleue
  couleurFace(3, 0, 0, 255); 
  definirFace(4, 2, 3, 7, 6); // 4 jaune
  couleurFace(4, 255, 255, 0); 
  definirFace(5, 9, 11,5, 6, 2); // 5 magenta
  couleurFace(5, 255, 0, 255); 
  definirFace(6, 3, 4, 8, 7); // 6 cyan
  couleurFace(6, 0, 255, 255); 
  // Bloc 2
  definirFace(7, 12, 3, 14); // 7 (1) rouge
  couleurFace(7, 255, 0, 0); 
  definirFace(8, 17, 16, 6, 7, 8); // 8 (2) verte
  couleurFace(8, 0, 255, 0); 
  //definirFace(0, 0, 255, 14, 8, 16);
  definirFace(9, 14, 8, 17); // 9 (3) bleue
  couleurFace(9, 0, 0, 255); 
  //definirFace(255, 255, 0, 2, 3, 7, 6);
  definirFace(10, 12, 3, 7, 6); // 10 (4) jaune
  couleurFace(10, 255, 255, 0); 
  //definirFace(255, 0, 255, 5, 6, 2);
  definirFace(11, 16, 6, 12); // 11 (5) magenta
  couleurFace(11, 255, 0, 255); 
  //definirFace(0, 255, 255, 3, 4, 8, 7);
  definirFace(12, 3, 14, 8, 7); // 12 (6) cyan
  couleurFace(12, 0, 255, 255); 
  
  definirFace(13, 9, 10, 11); // 13 créée en tronquant (orangée)
  couleurFace(13, 255, 128, 0); 
  
  definirFace(14, 12, 16, 17, 14); // 14 ( 13) créée en tronquant (orangée)
  couleurFace(14, 255, 128, 0); 
  
  // ajusterGlissiere si nécessaire
  creerGlissiereG1("TRONCATURE", 0, 4 , 0);
  //ajusterGlissiereG2(2, 8, 5);
  //ajusterGlissiereG3(2, 8, 5);
  
}

void initialiserFigure(){
  fixeRotationY(-35);
  fixeRotationX(-30);
}

void redefinirCertainsSommets(){
  if(valG1 <= 2){
    for(int i = 7; i <= 12; i++){
      fixeVisible(i, false);
      copierProps(i, i-6);
      fixeVisible(i-6, true);
    }
    //cacherFace(14);
    fixeVisible(14, false);
    copierProps(14, 13);
    //montrerFace(13);
    fixeVisible(13, true);
    redefinirSommet(10, 1, 1, 1-valG1);
    redefinirSommet(11, 1, 1-valG1, 1);
    redefinirSommet(9, 1-valG1, 1, 1);
  }else{
    for(int i = 1; i<=6; i++){
      fixeVisible(i, false);
      copierProps(i, i+6);
      fixeVisible(i+6, true);
    }
    fixeVisible(13, false);
    copierProps(13, 14);
    fixeVisible(14, true);
    float x = valG1-2;
    redefinirSommet(12, -1, 1, 1-x);
    redefinirSommet(14, 1-x, 1, -1);
    redefinirSommet(16, 1-x, -1, 1);
    redefinirSommet(17, 1, -1, 1-x);
  }
  
}

// Copier certaines propriétés de la face i dans la face j
void copierProps(int i, int j){
  fixeTranslation(j, donneTranslation(i));
  fixeEchelle(j, donneEchelle(i));
  fixeTailleCreux(j, donneTailleCreux(i));
}
